### Method

# Gtk Applicationset_menubar

#### Declaration [src]

    void
    gtk_application_set_menubar (
      GtkApplication* application,
      GMenuModel* menubar
    )

#### Description [src]

Sets or unsets the menubar for windows of `application`.

This is a menubar in the traditional sense.

This can only be done in the primary instance of the application, after it has been registered. `GApplication::startup` is a good place to call this.

Depending on the desktop environment, this may appear at the top of each window, or at the top of the screen. In some environments, if both the application menu and the menubar are set, the application menu will be presented as if it were the first item of the menubar. Other environments treat the two as completely separate — for example, the application menu may be rendered by the desktop shell while the menubar (if set) remains in each individual window.

Use the base `GActionMap` interface to add actions, to respond to the user selecting these menu items.

Sets property | `Gtk.Application:menubar`

#### Parameters

`menubar`

  Type: `GMenuModel`

  A `GMenuModel`

  The argument can be `NULL`.
  The data is owned by the caller of the method.